View Issue Details

IDProjectCategoryView StatusLast Update
0007705MediaMonkey (current)Synchronizationpublic2011-06-13 00:14
Reporterpeke 
PriorityurgentSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0007705: Playlists: Handling UTF8 Playlists
DescriptionIt looks that some devices do not correctly read non ASCII chars in filenames when reading M3U playlists. Yhet either needs to be written with BOM character or configurable (DropBox: Plain M3U|EXINF M3U|UTF8 M3U|UTF8 M3U8)
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=57545
TagsNo tags attached.
Fixed in build1384

Relationships

related to 0004242 closedLudek Add support for .m3u8 (UTF-8 encoded playlists) 
parent of 0006255 closedLudek Ability to change m3u format for portable devices 
related to 0008539 new Playlist sync option: Use 8.3 DOS-style filenames 

Activities

rusty

2011-05-05 18:21

administrator   ~0024878

Perhaps add 'Format: <format list>' to the Device Profile > Options > Playlist options ?

jiri

2011-06-03 13:45

administrator   ~0025897

Fixed in build 1384.
 - I fixed it by replacing the old Playlist option 'Use 8.3 filenames', which actually didn't really do what the name suggested, but created pretty useless utf8-like m3u format understood by MM only. The new checkbox 'Use Unicode (UTF-8 encoding) for M3U playlists' used already existing and localized string and does exactly what the title suggests, i.e. writes UTF-8 m3u playlist (in case it's necessary, i.e. there aren't 7-bit ASCII characters only).

peke

2011-06-13 00:14

developer   ~0026065

Verified 1387